Generate embeddings (deprecated)
curl --request POST \
--url https://api.example.com/api/ai/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/gemini-embedding-001",
"input": "Hello world",
"encoding_format": "float",
"dimensions": 1
}
'import requests
url = "https://api.example.com/api/ai/embeddings"
payload = {
"model": "google/gemini-embedding-001",
"input": "Hello world",
"encoding_format": "float",
"dimensions": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'google/gemini-embedding-001',
input: 'Hello world',
encoding_format: 'float',
dimensions: 1
})
};
fetch('https://api.example.com/api/ai/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
123
],
"index": 123
}
],
"metadata": {
"model": "text-embedding-ada-002",
"usage": {
"promptTokens": 123,
"completionTokens": 123,
"totalTokens": 123
}
}
}Client
Generate embeddings (deprecated)
deprecated
Deprecated compatibility proxy. New integrations should call https://openrouter.ai/api/v1/embeddings directly with the provisioned OpenRouter key.
POST
/
api
/
ai
/
embeddings
Generate embeddings (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Embedding model identifier
Example:
"google/gemini-embedding-001"
Single text input to embed
Example:
"Hello world"
The format to return the embeddings in. Can be either float or base64.
Available options:
float, base64 The number of dimensions the resulting output embeddings should have. Only supported in certain models.
Required range:
x >= 0Was this page helpful?
⌘I